CVE-2024-24017

CVSS 3.1 Score 9.8 of 10 (high)

Details

Published Feb 8, 2024
Updated: Feb 10, 2024
CWE ID 89

Summary

CVE-2024-24017 is a SQL injection vulnerability that affects Novel-Plus v4.3.0-RC1 and earlier versions. By exploiting this vulnerability, an attacker can perform SQL injection via the /common/dict/list endpoint by passing crafted offset, limit, and sort parameters. The vulnerability has a high base severity rating of CRITICAL with a base score of 9.8 according to NVD@nist.gov. It does not require any privileges or user interaction to exploit and has a low attack complexity. The impact includes high integrity and confidentiality impacts with a potential danger to organizations. To remediate this vulnerability, organizations should update to a patched version of Novel-Plus that addresses the issue.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2024-24017 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options